Package net.shibboleth.idp.ui.csrf

# Class CSRFTokenManager.DefaultCSRFTokenValidationPredicate

java.lang.Object
net.shibboleth.idp.ui.csrf.CSRFTokenManager.DefaultCSRFTokenValidationPredicate

All Implemented Interfaces:
  `BiPredicate<CSRFToken,String>`

Enclosing class:
  CSRFTokenManager

private static class CSRFTokenManager.DefaultCSRFTokenValidationPredicate extends Object implements BiPredicate<CSRFToken,String>
A simple default CSRF token validation predicate. Tests the CSRF token matches the request token by exact string (sequence of characters) match. Tokens will not match, returns false, if either of the tokens are null.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`DefaultCSRFTokenValidationPredicate()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`test(CSRFToken csrfToken, String requestCSRFToken)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.BiPredicate

`and, negate, or`

## Constructor Details

### DefaultCSRFTokenValidationPredicate

private DefaultCSRFTokenValidationPredicate()

## Method Details

### test

public boolean test(@Nullable CSRFToken csrfToken, @Nullable String requestCSRFToken)

Specified by:
  `test` in interface `BiPredicate<CSRFToken,String>`